Package ch.qos.logback.classic

# Class BasicConfigurator

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.classic.BasicConfigurator

All Implemented Interfaces:
  `Configurator`, `ContextAware`

public class BasicConfigurator extends ContextAwareBase implements Configurator
BasicConfigurator configures logback-classic by attaching a `ConsoleAppender` to the root logger. The console appender's layout is set to a `TTLLLayout`.

Author:
  Ceki Gülcü

## Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`BasicConfigurator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`configure(LoggerContext lc)`
The context will also be set before this method is called via `ContextAware.setContext(ch.qos.logback.core.Context)`.

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

## Constructor Details

### BasicConfigurator

public BasicConfigurator()

## Method Details

### configure

public void configure(LoggerContext lc)
Description copied from interface: `Configurator`
The context will also be set before this method is called via `ContextAware.setContext(ch.qos.logback.core.Context)`.

Specified by:
  `configure` in interface `Configurator`